<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssemblyName>BO.Console</AssemblyName>
    <RootNamespace>BO.Console</RootNamespace>
    <LangVersion>default</LangVersion>
    <ApplicationIcon>bo_cons.ico</ApplicationIcon>
  </PropertyGroup>

 
  <ItemGroup>
    <None Remove="Scripts\bo_clear_data.sql" />
    <None Remove="Scripts\bo_create_schema.sql" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Scripts\bo_clear_data.sql" />
    <EmbeddedResource Include="Scripts\bo_create_schema.sql" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="System.Data.SqlClient" Version="4.8.3" />
    <PackageReference Include="TextCopy" Version="4.3.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\AppServer\Connector.Console\Connector.Console.csproj" />
    <ProjectReference Include="..\AppServer\Metadata\Metadata.csproj" />
    <ProjectReference Include="..\Common\qdr.fnd.core.data\qdr.fnd.core.data.csproj" />
    <ProjectReference Include="..\Common\qdr.fnd.core.qconsole\qdr.fnd.core.qconsole.csproj" />
    <ProjectReference Include="..\Common\qdr.fnd.core\qdr.fnd.core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="console.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties samples_4workspace_1json__JsonSchema="https://docs.renovatebot.com/renovate-schema.json" /></VisualStudio></ProjectExtensions>

</Project>
